"""
functions to match a bunch of fragment descriptors from a file

No user-servicable parts inside.  ;-)

"""
from __future__ import annotations
import os as os
from rdkit import Chem
from rdkit import RDConfig
__all__ = ['Chem', 'RDConfig', 'defaultPatternFileName', 'fn', 'fns', 'name', 'os']
def _CountMatches(mol, patt, unique = True):
    ...
def _LoadPatterns(fileName = None):
    ...
defaultPatternFileName: str = 'C:/rdkit/build/temp.win-amd64-cpython-313/Release/rdkit_install\\share/RDKit\\Data\\FragmentDescriptors.csv'
fn = None
fns: list  # value = [('fr_C_O', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A916200>), ('fr_C_O_noCOO', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A9162A0>), ('fr_Al_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A916340>), ('fr_Ar_OH', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A9163E0>), ('fr_methoxy', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A916480>), ('fr_oxime', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A916520>), ('fr_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A9165C0>), ('fr_Al_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A916660>), ('fr_Ar_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A916700>), ('fr_COO', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A9167A0>), ('fr_COO2', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A916840>), ('fr_ketone', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A9168E0>), ('fr_ether', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A916980>), ('fr_phenol', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A916A20>), ('fr_aldehyde', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A916AC0>), ('fr_quatN', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A916B60>), ('fr_NH2', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A916C00>), ('fr_NH1', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A916CA0>), ('fr_NH0', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A916D40>), ('fr_Ar_N', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A916DE0>), ('fr_Ar_NH', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A916E80>), ('fr_aniline', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A916F20>), ('fr_Imine', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A916FC0>), ('fr_nitrile', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A917060>), ('fr_hdrzine', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A917100>), ('fr_hdrzone', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A9171A0>), ('fr_nitroso', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A917240>), ('fr_N_O', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A9172E0>), ('fr_nitro', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A917380>), ('fr_azo', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A917420>), ('fr_diazo', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A9174C0>), ('fr_azide', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A917560>), ('fr_amide', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A917600>), ('fr_priamide', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A9176A0>), ('fr_amidine', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A917740>), ('fr_guanido', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A9177E0>), ('fr_Nhpyrrole', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A917880>), ('fr_imide', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A917920>), ('fr_isocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A9179C0>), ('fr_isothiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A917A60>), ('fr_thiocyan', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A917B00>), ('fr_halogen', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A917BA0>), ('fr_alkyl_halide', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A917C40>), ('fr_sulfide', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A917CE0>), ('fr_SH', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A917D80>), ('fr_C_S', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A917E20>), ('fr_sulfone', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A917EC0>), ('fr_sulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A917F60>), ('fr_prisulfonamd', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A958040>), ('fr_barbitur', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A9580E0>), ('fr_urea', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A958180>), ('fr_term_acetylene', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A958220>), ('fr_imidazole', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A9582C0>), ('fr_furan', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A958360>), ('fr_thiophene', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A958400>), ('fr_thiazole', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A9584A0>), ('fr_oxazole', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A958540>), ('fr_pyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A9585E0>), ('fr_piperdine', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A958680>), ('fr_piperzine', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A958720>), ('fr_morpholine', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A9587C0>), ('fr_lactam', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A958860>), ('fr_lactone', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A958900>), ('fr_tetrazole', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A9589A0>), ('fr_epoxide', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A958A40>), ('fr_unbrch_alkane', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A958AE0>), ('fr_bicyclic', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A958B80>), ('fr_benzene', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A958C20>), ('fr_phos_acid', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A958CC0>), ('fr_phos_ester', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A958D60>), ('fr_nitro_arom', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A958E00>), ('fr_nitro_arom_nonortho', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A958EA0>), ('fr_dihydropyridine', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A958F40>), ('fr_phenol_noOrthoHbond', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A958FE0>), ('fr_Al_OH_noTert', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A959080>), ('fr_benzodiazepine', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A959120>), ('fr_para_hydroxylation', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A9591C0>), ('fr_allylic_oxid', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A959260>), ('fr_aryl_methyl', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A959300>), ('fr_Ndealkylation1', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A9593A0>), ('fr_Ndealkylation2', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A9594E0>), ('fr_alkyl_carbamate', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A959440>), ('fr_ketone_Topliss', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A959580>), ('fr_ArN', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A959620>), ('fr_HOCCN', <function _LoadPatterns.<locals>.<lambda> at 0x000002C46A9596C0>)]
name: str = 'fr_HOCCN'
